<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Solicitud;
use App\Reporte;
use App\EvaluacionAlumno;
use Session;

class VerificaController extends Controller
{
    public function nuevas_solicitudes(){
    	$solicitudes = Solicitud::where('status_sol', '=', 1)->get();
        $anterior = Session::get('solicitudes');
        $actual = count($solicitudes);
        if ($actual>0) {
            Session::put('solicitudes', $actual);
        	return response()->json(['res' => 'si']);
        }else{
        	return response()->json(['res' => 'no']);
        }
    }

    public function nuevos_reportes(){
        $reportes = Reporte::where('status_rep','=',0)->get();
        $anterior = Session::get('reportes');
        $actual = count($reportes);
        if ($actual>0) {
            Session::put('reportes', $actual);
        	return response()->json(['res' => 'si']);
        }else{
        	return response()->json(['res' => 'no']);
        }
    }

    public function nuevas_evaluaciones(){
        $evaluaciones = EvaluacionAlumno::where('status_evaalu','=',0)->where('tipo_evaalu','=',2)->get();
        $anterior = Session::get('evaluaciones');
        $actual = count($evaluaciones);
        if ($actual>0) {
            Session::put('evaluaciones', $actual);
        	return response()->json(['res' => 'si']);
        }else{
        	return response()->json(['res' => 'no']);
        }
    }
}
